package com.zhongdao.jlr.business.dao;

import com.dubh.common.dao.Dao;
import com.util.Vo;
import com.zhongdao.jlr.business.vo.CouponRechargeJlr;
import com.zhongdao.jlr.pojo.CouponConsumeJlrPO;
import com.zhongdao.jlr.pojo.CouponRechargeJlrPO;

import java.util.List;

public interface CouponDao extends Dao {

    /**
     * 代金券模糊搜索
     */
    public Vo searchConsume(String vinCode, String electronicAccounts, String userPhone, int page, int raws);

    /**
     * 代金券消费记录
     */
    public Vo getCouponConsume(String vin, int page, int raws);


    /**
     * 代金券充值记录
     */
    public Vo getCouponRecharge(String vin, int page, int raws);

    /**
     * 代金券消费记录(整体)
     */
    public Vo queryCouponConsume(String vin, String account, String RecuseCompanyName, String rescueCompanyCode, String license, String phone, String state, String qureyDate1, String queryDate2, int page, int raws);

    /**
     * 代金券消费修改 撤回、同意付款
     */
    public boolean updateConsumeState(List<CouponRechargeJlrPO> couponechargeList, String cId, String state);

    /**
     * 充值记录
     */
    public Vo queryCouponRecharge(String vin, String account, String orderCode, String license, String phone, String qureyDate1, String queryDate2, int page, int raws);

    /**
     * 代金券获取
     */
    public Vo getCoupon(String vin, String electronicAccounts, int page, int raws);

    /**
     * 代金券消费
     */
    public boolean consume(CouponConsumeJlrPO couponConsumeJlr, List<CouponRechargeJlrPO> CouponRechargeJlrs);
}
